# Taglines

Aquest és el meu fitxer personal de [*taglines*](https://en.wikipedia.org/wiki/Tagline#Etexts "Wikipedia en anglès"), amb `8.074` *tags*! 

És una recopilació, producte d'anys de recerca a llibres, mitjans electrònics, *BBS* i *Internet*, diaris, saviesa popular, etc... de manera que cada línia és propietat del seu respectiu autor (sigui qui sigui).

Actualment l'utilitzo en el meu editor *GoldED+*, per tal d'embellir els missatges *echomail* sortints, amb el seu contingut.


**Especificació:**

- La major part del seu contingut està en *espanyol*, l'idioma principal que faig servir a *FidoNet*. Algunes línies, però, també poden estar en *català* o *anglès*.
- El fitxer utilitza codificació no Unicode (ISO-8859-1).
- El fitxer utilitza el retorn de carro Unix/Linux.
- Cada línia no ha de tenir més de 79 caràcters.


**Configuració a GoldED+**

Activar l'ús de *taglines* a l'editor `GoldED+` s'estableix dins el fitxer de configuració principal de l'editor, a `golded.cfg`, en tres claus concretes.

Activem el suport intern de *taglines* a `GoldED+`:

```text
taglinesupport yes
```

Definim els caràcters que identificaran dins el missatge la *tagline* (com a estàndard, tres punts):

```text
taglinechar ...
```

Definim un *tagline* fixe, o un fitxer de *taglines* (amb `@`, incloent el *path* absolut al fitxer si no està en el mateix directori del fitxer `golded.cfg`). Només una de les dues opcions:

```text
tagline Això és un tagline.
tagline @taglines.txt
```


**Actualització del fitxer de *taglines* a `GoldED+`**

Sempre que actualitzem el fitxer de *taglines* existent, per un de nou, caldrà refer l'índex de *taglines* que genera `GoldED+`.

Seguint l'exemple anterior, en el directori on tenim el fitxer de *taglines*, tindrem el fitxer de text original (`.txt`) i el fitxer d'índex (`.sdx`).

```text
taglines.sdx
taglines.txt
```

Esborrem el fitxer `taglines.sdx`, substituïm el fitxer `taglines.txt` per l'actualitzat i, en la seva següent execució, `GoldED+` recrearà l'índex de manera transparent.

`<EOF>`